£1,179.41– £1,440.99
Compare 3 prices
NETGEAR · Network Switch
NETGEAR GS748PP Unmanaged Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey price in United Kingdom
Model GS748PPMPN GS748PP-100EUSMPN GS748PP-100NASEAN 606449174915EAN 5715328108516
- Speed1 Gbit/s
- ConnectivityWired
- Weight4.6 kg
- ColourGrey
Lowest price incl. delivery
£480.99
at Back to the OfficeFree deliveryIn stock
- 1 store
- 1 in stock
- 1 with free delivery
- Checked 6 Oct 2026, 05:40 UTC
Ad · prices and stock as last reported by the store; the store's checkout is what counts.
Prices in United Kingdom
1 store · prices in GBP · updated 6 Oct 2026, 05:40 UTC
Every store asks the same price.
- 1 of 1 stores in stock
- 1 with free shipping
- Checked 6 Oct 2026, 05:40 UTC
- Back to the OfficeLowest priceNETGEAR GS748PP Unmanaged Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey In stockFree shipping£480.99incl. free shippingGo to store : Back to the Office (opens in a new tab)
No store matches these filters.
Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 6 Oct 2026, 05:40 UTC, and can change at any time. Taxes are included only where the store includes them.
Price history in United Kingdom
Price history is being collected. After 14 days of prices we will show whether today's price is good.
Product details
Identification
- Brand
- NETGEAR
- Product
- GS748PP Unmanaged Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey
- Full name
- NETGEAR GS748PP Unmanaged Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey
- Manufacturer part number
- GS748PP-100EUS, GS748PP-100NAS
- EAN / UPC
- 606449174915, 5715328108516, 606449174908
- Category
- Network Switch
47 specifications from the manufacturer's data sheet
Management features
| Switch type | Unmanaged |
|---|---|
| Quality of Service (QoS) support | Yes |
| MIB support | RFC 1213 MIB II, RFC 1643, RFC 1493 |
Ports & interfaces
| Basic switching RJ-45 Ethernet ports quantity | 48 |
|---|---|
| Basic switching RJ-45 Ethernet ports type | Gigabit Ethernet (10/100/1000) |
Network
| Networking standards | IEEE 802.1p, IEEE 802.3az |
|---|---|
| Copper ethernet cabling technology | 10BASE-T |
| Full duplex | Yes |
| Ethernet LAN data rates | 1000 Mbit/s |
| Flow control support | Yes |
| Link aggregation | Yes |
Data transmission
| MAC address table | 8000 entries |
|---|---|
| Maximum data transfer rate | 1 Gbit/s |
| Jumbo frames support | Yes |
| Jumbo frames | 12.288 |
| Packet buffer memory | 1.5 MB |
Design
| Rack mounting | Yes |
|---|---|
| Product colour | Grey |
| Redundant fans support | Yes |
| Number of fans | 2 fan(s) |
| Safety | CE mark, cUL IEC950/EN60950 |
Performance
| Mean time between failures (MTBF) | 570972 h |
|---|
Power
| Power source | AC/DC |
|---|---|
| AC input voltage | 100 - 240 V |
| AC input frequency | 50/60 Hz |
| Input current | 8 A |
| Power consumption (max) | 410 W |
Power over Ethernet (PoE)
| Power over Ethernet (PoE) | Yes |
|---|---|
| Power over Ethernet (PoE) power per port | 30 W |
| Total Power over Ethernet (PoE) budget | 380 W |
Other features
| Latency | 2,900ns |
|---|---|
| Connectivity technology | Wired |
| Bandwidth | 96 Gbit/s |
| Authentication method | 802.1x |
| Electromagnetic emissions | CE mark, FCC Part 15 Class A, VCCI Class A, C-Tick |
| I/O ports | 48 x 10/100/1000 Mbps 4 x SFP |
| Warranty period | 2 year(s) |
Operational conditions
| Operating temperature (T-T) | 0 - 50 °C |
|---|---|
| Storage temperature (T-T) | -20 - 70 °C |
| Operating relative humidity (H-H) | 10 - 90% |
| Operating altitude | 0 - 3000 m |
| Heat dissipation | 34.2 BTU/h |
Weight & dimensions
| Width | 440 mm |
|---|---|
| Depth | 310 mm |
| Height | 43 mm |
| Weight | 4.6 kg |
Certificates
| Compliance certificates | CB, CE, Federal Communications Commission (FCC), KC, Low Voltage Directive (LVD), RCM, UL, VCCI |
|---|
More network switches deals in United Kingdom
All network switches deals£919.02– £1,119.99
Compare 3 prices£121.90– £140.99
Compare 3 pricesQNAP
QSW-L2110-10T network switch Managed Desktop Black
Model QSW-L2110-10T
- Type
- Desktop
- Weight
- 690 g
- Colour
- Black
£189.95– £222.99
Compare 3 pricesQNAP
QSW-L2110-2S8T network switch Managed Desktop Black
Model QSW-L2110-2S8T
- Type
- Desktop
- Weight
- 630 g
- Colour
- Black
£134.06– £153.99
Compare 3 prices£1,567.66– £1,918.99
Compare 3 pricesTP-Link
Omada ES206X-M2 network switch Managed L2
Model ES206X-M2
- Type
- Desktop/Wall-Mounting
- Weight
- 520 g
- Colour
- Black
£58.99
See the offerTP-Link
ES206XPP-M2 network switch Managed L2
Model ES206XPP-M2
- Type
- Desktop/Wall-Mounting
- Colour
- Black
- Switch type
- Managed
£106.82– £129.99
Compare 3 prices






